#define _CRT_SECURE_NO_WARNINGS
#include <stdio.h>

typedef struct smer {
	int sifraSmera;
	char naziv[20];
} SMER;

typedef struct indeks{
	int broj;
	int godina;
} INDEKS;

typedef struct student {
	INDEKS indeks;
	SMER smer;
	char ime[10];
	char prezime[20];
	double prosek;
} STUDENT;

void ispisiStudenta(STUDENT student);
void prikazZaglavlja();
STUDENT unosStudenta();
void unosNiza(STUDENT niz[], int *n);
void prikazNiza(STUDENT niz[], int n);


int main(void) {
	/*
	SMER smerIsit = {123, "ISIT"};
	SMER smerMen;
	SMER smerIsitd = { 345, "ISIT Daljina" };
	STUDENT student1 = { {123, 2018}, {123, "ISIT"}, "Pera", "Peric", 9.5};
	STUDENT student2 = { {234, 2018}, smerIsitd, "Zika", "Zivkovic", 9.34};
	STUDENT student3;
	STUDENT s1;
	STUDENT *ps;
	smerMen.sifraSmera = 234;
	//smerMen.naziv = "Menadzment"; ne moze!!!
	
	strcpy(smerMen.naziv, "Menadzment");
	student3.indeks.broj = 456;
	student3.indeks.godina = 2018;
	student3.smer = smerMen;
	strcpy(student3.ime, "Laza");
	strcpy(student3.prezime, "Lazarevic");
	student3.prosek = 9.55;
	prikazZaglavlja();
	ispisiStudenta(student1);
	ispisiStudenta(student2);
	ispisiStudenta(student3);
	s1 = unosStudenta();
	prikazZaglavlja();
	ispisiStudenta(s1);

	ps = &s1;
	//(*ps).indeks.broj = 5; isto sto i...
	ps->indeks.broj = 5;
	ispisiStudenta(*ps);
	*/

	STUDENT niz[10];
	int n = 0;
	unosNiza(niz, &n);
	prikazNiza(niz, n);

	system("pause");
	return 0;
}

void prikazZaglavlja() {
	printf("%11s%20s%10s%20s%10s\n", "Broj indeksa", "Smer", "Ime", "Prezime", "Prosek");
	printf("=============================\n");
}

void ispisiStudenta(STUDENT student) {
	printf("%7d/%4d%20s%10s%20s%8.2lf\n", student.indeks.broj, student.indeks.godina, student.smer.naziv, student.ime, student.prezime, student.prosek);
}

STUDENT unosStudenta() {
	STUDENT s;
	int unos;
	printf("Unesite broj indeksa(bbbb/gggg):\n");
	scanf("%d/%d", &s.indeks.broj, &s.indeks.godina);
	printf("Odaberite smer(1 - ISIT, 2 - Menadzment, 3 - ISIT Daljina):\n");
	scanf("%d", &unos);
	switch (unos) {
	case 1:
		s.smer.sifraSmera = 123;
		strcpy(s.smer.naziv, "ISIT");
		break;
	case 2:
		s.smer.sifraSmera = 234;
		strcpy(s.smer.naziv, "Menadzment");
		break;
	case 3:
		s.smer.sifraSmera = 345;
		strcpy(s.smer.naziv, "ISIT Daljina");
	default:
		break;
	}
	printf("Unesite ime:\n");
	getchar();
	gets(s.ime);
	printf("Unesite prezime:\n");
	gets(s.prezime);
	printf("Unesite prosek studenta:\n");
	scanf("%lf", &s.prosek);
	return s;
}

void unosNiza(STUDENT niz[], int *n) {
	char odgovor;
	do {
		niz[*n] = unosStudenta();
		*n = *n + 1;
		printf("Da li zelite da unesete jos studenata? (d - da / n - ne)\n");
		getchar();
		scanf("%c", &odgovor); // odgovor = getchar();
		getchar();
	} while (odgovor != 'n');
}

void prikazNiza(STUDENT niz[], int n) {
	int i;
	prikazZaglavlja();
	for (i = 0; i < n; i++) {
		ispisiStudenta(niz[i]);
	}
}